Bug 1573622 - dash to dock broken in 7.5
Summary: dash to dock broken in 7.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell-extensions
Version: 7.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
: 1568530 1614860 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 19:35 UTC by Joe Wright
Modified: 2018-10-30 10:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:26:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3429891 0 None None None 2018-05-01 19:47:13 UTC
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:27:02 UTC

Description Joe Wright 2018-05-01 19:35:30 UTC
Description of problem:
- dash to dock doesnt work properly in 7.5
- gnome-tweak tool reports error loading extension
- dash to dock settings do not work in gnome-tweak-tool
- dash-to-dock tray overlaps with default tray

Version-Release number of selected component (if applicable):
$ rpm -qi gnome-shell-extension-dash-to-dock
Name        : gnome-shell-extension-dash-to-dock
Version     : 3.26.2
Release     : 3.el7
Architecture: noarch
Install Date: Thu 12 Apr 2018 15:34:51 BST
Group       : User Interface/Desktops
Size        : 538361
License     : GPLv2+
Signature   : RSA/SHA256, Tue 27 Feb 2018 17:20:46 GMT, Key ID 199e2f91fd431d51
Source RPM  : gnome-shell-extensions-3.26.2-3.el7.src.rpm
Build Date  : Tue 27 Feb 2018 16:07:17 GMT
Build Host  : ppc-058.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : http://wiki.gnome.org/Projects/GnomeShell/Extensions
Summary     : Show the dash outside the activities overview


How reproducible:
- 100%

Steps to Reproduce:
1. install dash to dock
2. enable the extension
3. restart gnome

Actual results:
- dash-to-dock only partially works, and exhibits the above listed behaviors

Expected results:
the observed behaviors do not occur

Additional info:

Relevant error reported in log:

May  1 15:24:51 unused journal: JS ERROR: TypeError: Main.legacyTray is undefined#012DockedDash<._adjustLegacyTray@/usr/share/gnome-shell/extensions/dash-to-dock@gnome-shell-extensions.gcampax.github.com/docking.js:1122:9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22#012DockedDash<._resetPosition@/usr/share/gnome-shell/extensions/dash-to-dock@gnome-shell-extensions.gcampax.github.com/docking.js:1102:9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22

Comment 5 Joe Wright 2018-05-01 19:41:22 UTC
Additionally, the waffle button on the dash to dock activities panel does not work, while the default one that is overlapped still does.

Comment 8 Florian Müllner 2018-09-03 15:27:54 UTC
*** Bug 1568530 has been marked as a duplicate of this bug. ***

Comment 10 Florian Müllner 2018-09-04 00:27:54 UTC
*** Bug 1614860 has been marked as a duplicate of this bug. ***

Comment 15 errata-xmlrpc 2018-10-30 10:26:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.